using Contracts.DTO;
using Contracts.ViewModels;

namespace Contracts.Mappers;

public static class SpendingPlanMapper
{
    public static SpendingPlanViewModel ToView(this SpendingPlanDto dto) 
        => new()
        {
            Id = dto.Id,
            StartAt = dto.StartAt.ToString("dd.MM.yyyy"),
            EndAt = dto.EndAt.ToString("dd.MM.yyyy"),
            Sum = dto.Sum
        };
}