using Contracts.DTO;
using Contracts.SearchModels;

namespace Contracts.Repositories;

public interface ISpendingPlanRepo
{
    Task<SpendingPlanDto> Create(SpendingPlanDto dto);
    Task<SpendingPlanDto?> Update(SpendingPlanDto dto);
    Task<SpendingPlanDto?> Delete(SpendingPlanSearch search);
    Task<SpendingPlanDto?> Get(SpendingPlanSearch search);
    Task<IEnumerable<SpendingPlanDto>> GetList(SpendingPlanSearch? search = null);
}