using Contracts.DTO;

namespace Infrastructure.Models;

public class SpendingPlan
{
    public Guid Id { get; set; }
    public DateTime StartAt { get; set; }
    public DateTime EndAt { get; set; }
    public decimal Sum { get; set; }

    public Guid SpendingGroupId { get; set; }
    public SpendingGroup SpendingGroup { get; set; } = null!;

    public void Update(SpendingPlanDto spendingPlan)
    {
        StartAt = spendingPlan.StartAt;
        EndAt = spendingPlan.EndAt;
        Sum = spendingPlan.Sum;
        SpendingGroupId = spendingPlan.SpendingGroupId;
    }
}