import { UserViewModel } from './core/api/data-contracts'
import { defineStore } from 'pinia'

export interface State {
    user: UserViewModel
}

export const useUserStore = defineStore('user', {
    state: (): State => ({
        user: {} as UserViewModel
    }),
    actions: {
        updateUser(payload: UserViewModel) {
            if (!payload) return;

            this.user = payload;
        },
    }
})